Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IDPMCommandHandler Class Reference

`#include <PluginCommon.hpp>`

List of all members.

## Public Member Functions
virtual | ~IDPMCommandHandler ()
virtual IDPMResult | RegisterCommand (IDPlugin *Plugin, deString *sCommandName, deString *sCommandDesc, deString *sPluginID)=0
virtual IDPMResult | RegisterCommand (IDPObject *Object, deString *sCommandName, deString *sCommandDesc, deString *sPluginID)=0

## Constructor & Destructor Documentation

virtual IDPMCommandHandler::~IDPMCommandHandler | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual IDPMResult IDPMCommandHandler::RegisterCommand | ( | IDPObject * | Object,
|  | deString * | sCommandName,
|  | deString * | sCommandDesc,
|  | deString * | sPluginID
| ) | `[pure virtual]`

  | Used to register a "command" with the system. A command is simply some form of command that the plugin can perform in response to a user selectable hotkey. An example is menu items, but is not limited to such. Returns: IDPMResult code. IDPM_ERROR if the command couldn't be registered (this should only happen if the exact same name and pluginID is already used). IDPM_OK otherwise. Parameters:
  Object | Instance of the object which should receive the notification when the command is triggered
  sCommandName | Short, user readable name of the command. This is shown to the user, and is also what will be sent in the OnCommand callback to identify the command.
  sCommandDesc | An extended description explaining to the user just what the command does.
  sPluginID | This is a short string of characters, not shown to the user, which is used to help make commands "unique"
  amongst | plugins. The sPluginID should always be the same, and should be something likely to be unique.

virtual IDPMResult IDPMCommandHandler::RegisterCommand | ( | IDPlugin * | Plugin,
|  | deString * | sCommandName,
|  | deString * | sCommandDesc,
|  | deString * | sPluginID
| ) | `[pure virtual]`

  | Used to register a "command" with the system. A command is simply some form of command that the plugin can perform in response to a user selectable hotkey. An example is menu items, but is not limited to such. Returns: IDPMResult code. IDPM_ERROR if the command couldn't be registered (this should only happen if the exact same name and pluginID is already used). IDPM_OK otherwise. Parameters:
  Plugin | Instance of the plugin which should receive the notification when the command is triggered
  sCommandName | Short, user readable name of the command. This is shown to the user, and is also what will be sent in the OnCommand callback to identify the command.
  sCommandDesc | An extended description explaining to the user just what the command does.
  sPluginID | This is a short string of characters, not shown to the user, which is used to help make commands "unique"
  amongst | plugins. The sPluginID should always be the same, and should be something likely to be unique.

The documentation for this class was generated from the following file:

- PluginCommon.hpp